Created by crfriend on 2012-01-29 14:12:34 +00:00

Assignee: mfriedrich

Status: Resolved  (closed on 2012-04-19 14:49:52 +00:00)
When building Icinga 1.6.1 on Solaris 10 (SPARC) with gcc 2.95.3 I ran into several problems with declarations, and null-pointer dereferencing. Attached are five patches which addressed the problems.

Attachments

	patch-checks.c crfriend - 2012-01-29 14:12:35 +00:00 - C:\Users\carl\tmp\patch-utils.c
	patch-ido2db.c crfriend - 2012-01-29 14:17:31 +00:00
	patch-utils.c crfriend - 2012-01-29 14:19:13 +00:00
	patch-extinfo.c crfriend - 2012-01-29 14:19:43 +00:00
	patch-idomod.c crfriend - 2012-01-29 14:20:44 +00:00
	0001-Feature-2292-Compatibility-patches.patch crfriend - 2012-01-29 14:45:59 +00:00 - A git patch for everything above.


Changesets

2012-02-05 09:00:11 +00:00 by Tommi 96d9c51

idoutils: apply idomod patch contributed in #2292 for gcc2.95 compatibility
refs #2292



2012-02-05 11:35:16 +00:00 by mfriedrich ee2fe6b

core: apply patch from #2292

refs #2292



2012-04-03 08:48:05 +00:00 by mfriedrich 7e7f5d8

final fix compatibility problems on solaris 10 (Carl R. Friend) #2292

refs #2292



2012-04-08 18:17:04 +00:00 by Tommi f5b780b

idoutils: add remaining patch to ido2db #2292
refs #2292
	relates #2292


      
	
          
            
              
    

              The text was updated successfully, but these errors were encountered:
            

              

          

        





        

            
              
  
    
      
    
      
        
            
    All reactions
  


          

        
      

    




            

        

      


      
    








      
    



      
  
      


  
  [image: @icinga-migration]





  

    
      
  
    
        
    
    

  


      
          
    
            Copy link

      
    
  


  
      

      



      

  Author


  


  
    

      

      
          icinga-migration
  

      

      

      commented


        Jan 29, 2012


      
    


  




      

        
	
          Updated by crfriend on 2012-01-29 14:17:31 +00:00

	File added patch-ido2db.c


There should be five attachments, patch-(checks|utils|extinfo|idomod|ido2db).c containing fixes to each of those source files. The patches for checks.c and utils.c correct a problem with an undefined variable "n_a" that happens with the embedded perl interpreter enabled. The ones for extinfo.c and idomod.c move declarations to the beginning of functions to correct compilation errors on the old version of gcc. The changes to ido2db correct null-pointer dereferencing and compilation errors when deep debugging is turned on.
Thanks! I will check this tommorow with suncc.

BTW:You dont need this old gcc, you can use an actual SunStudioExpress as well (after applying some additional patches :-)))

Thomas
see icinga-users mailinglist for previous discussions.

thanks for the patches, should be put by their respective git branches (cgi, core, ido) and not fully applied into one branch.

      





        

            
              
  
    
      
    
      
        
            
    All reactions
  


          

        
      

    




            

        

      


      
            
  
    
  
  

  

  
    
    

    Sorry, something went wrong.
  




    












      
  
      


  
  [image: @icinga-migration]





  

    
      
  
    
        
    
    

  


      
          
    
            Copy link

      
    
  


  
      

      



      

  Author


  


  
    

      

      
          icinga-migration
  

      

      

      commented


        Jan 29, 2012


      
    


  




      

        
	
          Updated by mfriedrich on 2012-01-29 19:01:24 +00:00

	Target Version set to 1.7


      





        

            
              
  
    
      
    
      
        
            
    All reactions
  


          

        
      

    




            

        

      


      
            
  
    
  
  

  

  
    
    

    Sorry, something went wrong.
  




    












      
  
      


  
  [image: @icinga-migration]





  

    
      
  
    
        
    
    

  


      
          
    
            Copy link

      
    
  


  
      

      



      

  Author


  


  
    

      

      
          icinga-migration
  

      

      

      commented


        Jan 29, 2012


      
    


  




      

        
	
          Updated by crfriend on 2012-01-29 19:27:22 +00:00

dnsmichi wrote:


thanks for the patches, should be put by their respective git branches (cgi, core, ido) and not fully applied into one branch.



You're most welcome, and I shall bear that in mind. Thanks.
that was just an update for the guy taking your patches then (if it won't be me). that's why i was insisting on seperated patches, to allow their applying onto the seperated dev and test branches. on release, they'll get merged together.
	Category set to Installation
	Status changed from New to Assigned
	Assigned to set to ricardo
	Done % changed from 0 to 20


patch for idomod added

patch for ido2db not added, because logging patches from #2271 should do this more in general. other patches should be checked from core team.for solaris related issues see also #1772 and #1253
core is added, just some minor addins if compiled with embedded perl.
	Assigned to changed from ricardo to mfriedrich
	Done % changed from 20 to 100


last one is now in dev/cgis waiting for the merge upstream.
added changes from patch-ido2db.c which not has been applied before to ido2db in changeset f5b780b
thanks for the final fix, i'll resolve for now. full merge is to be done.
	Status changed from Feedback to Resolved
